//
//  Clock.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import Foundation

class Clock: ObservableObject {
    @Published var date: Date = Date()

    init() {
        // 1秒ごとに現在時刻をDate型の値として発行
        Timer.publish(every: 1, on: .main, in: .default)
            .autoconnect()
            // dateプロパティに値を格納する
            .assign(to: &$date)
    }
}
