//
//  AppSettings.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI

struct AppSettings: View {
    @AppStorage(wrappedValue: false, "somethingIsEnabled")
    var somethingIsEnabled: Bool

    var body: some View {
      Toggle("Something", isOn: $somethingIsEnabled)
    }
}

struct AppSettings_Previews: PreviewProvider {
    static var previews: some View {
        AppSettings()
    }
}
