//
//  LazyStack.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI

struct LazyStack: View {
    @State var elements = Array(1...100).map(Element.init)

    var body: some View {
        ScrollView {
            LazyVStack {
                ForEach(elements) { element in
                    Text("\(element.value)")
                }
            }
        }
    }
}
struct LazyStack_Previews: PreviewProvider {
    static var previews: some View {
        LazyStack()
    }
}
