//
//  Modal.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI

struct Modal: View {
    @State var isPresented: Bool = false

    var body: some View {
        Button("Open") {
            isPresented = true
        }.sheet(isPresented: $isPresented) {
            Button("Close") {
                isPresented = false
            }
        }
    }
}

struct Modal_Previews: PreviewProvider {
    static var previews: some View {
        Modal()
    }
}
