//
//  NavigationWithBottomToolbar.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI

struct NavigationWithBottomToolbar: View {
    var body: some View {
        NavigationView {
            Text("Hello, world!")
                .toolbar {
                    ToolbarItem(placement: .bottomBar) {
                        Button("Button") {}
                    }
                }
        }
    }
}

struct NavigationWithBottomToolbar_Previews: PreviewProvider {
    static var previews: some View {
        NavigationWithBottomToolbar()
    }
}
