//
//  StackLayout.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI

struct StackLayout: View {
    var body: some View {
        HStack {
            Image(systemName: "star.fill")
            VStack(alignment: .leading) {
                Text("Headline")
                    .font(.headline)
                Text("Subheadline")
                    .font(.subheadline)
            }
        }
    }
}

struct StackLayout_Previews: PreviewProvider {
    static var previews: some View {
        StackLayout()
    }
}
